Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.zest
Class GraphViewPart

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.amp.axf.view.ModelViewPart
                      org.eclipse.amp.agf.gef.AGFViewPart
                          org.eclipse.amp.agf.zest.GraphViewPart

All Implemented Interfaces:
  java.util.EventListener, IModelPart, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class GraphViewPart

extends AGFViewPart

The Class GraphViewPart.

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`GraphViewPart()`

Method Summary
`void` | `createModelListeners()` Creates the model listeners.
`void` | `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.zest.layouts.algorithms.SpringLayoutAlgorithm` | `createSpringLayout()` Creates the spring layout.
`java.lang.Object` | `getAdapter(java.lang.Class type)`
`double` | `getGravity()` Gets the gravity.
`org.eclipse.jface.action.IAction` | `getSpringCustomizer()` Gets the spring customizer.
`org.eclipse.zest.layouts.algorithms.SpringLayoutAlgorithm` | `getSpringLayout()` Gets the spring layout.
`double` | `getSpringLength()` Gets the spring length.
`double` | `getSpringMove()` Gets the spring move.
`double` | `getStrain()` Gets the strain.
`org.eclipse.zest.core.viewers.GraphViewer` | `getViewer()` Gets the viewer.
`void` | `setFocus()` Sets the focus.
`void` | `setGravity(double gravity)` Sets the gravity.
`void` | `setInput(org.eclipse.ui.IEditorInput input)` Sets the input.
`void` | `setLayoutAlgorithm(org.eclipse.zest.layouts.LayoutAlgorithm layout)` Sets the layout algorithm.
`void` | `setSpringCustomizer(org.eclipse.jface.action.IAction springCustomizer)` Sets the spring customizer.
`void` | `setSpringLength(double length)` Sets the spring length.
`void` | `setSpringMove(double springMove)` Sets the spring move.
`void` | `setStrain(double strain)` Sets the strain.

Methods inherited from class org.eclipse.amp.agf.gef.AGFViewPart
`createSelectionSynchronizer, dispose`

Methods inherited from class org.eclipse.amp.axf.view.ModelViewPart
`addModelListener, getModel, getModelListeners, getName, getPropertySheetPage, isSingle, propertyChange, removeModelListener, setModel, setPartName`

Methods inherited from class org.eclipse.ui.part.ViewPart
`getViewSite, init, init, saveState, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Constructor Detail

### GraphViewPart

    public GraphViewPart()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `createPartControl` in class `AGFViewPart`
  Parameters:
    `parent` -
  See Also:
    `ModelViewPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### createSpringLayout

    public org.eclipse.zest.layouts.algorithms.SpringLayoutAlgorithm createSpringLayout()

  Creates the spring layout.

  Returns:
    the spring layout algorithm

### setInput

    public void setInput(org.eclipse.ui.IEditorInput input)

  Description copied from class: `ModelViewPart`
  Sets the input.

  Overrides:
    `setInput` in class `ModelViewPart`
  Parameters:
    `input` - the new input

### createModelListeners

    public void createModelListeners()

  Description copied from interface: `IModelPart`
  Creates the model listeners.

  Specified by:
    `createModelListeners` in interface `IModelPart`
  Overrides:
    `createModelListeners` in class `ModelViewPart`
  See Also:
    `ModelViewPart.createModelListeners()`

### setFocus

    public void setFocus()

  Sets the focus.

  Specified by:
    `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `setFocus` in class `ModelViewPart`
  See Also:
    `IWorkbenchPart.setFocus()`

### setLayoutAlgorithm

    public void setLayoutAlgorithm(org.eclipse.zest.layouts.LayoutAlgorithm layout)

  Sets the layout algorithm.

  Parameters:
    `layout` - the new layout algorithm

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class type)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `AGFViewPart`
  Parameters:
    `type` -
  Returns:
  See Also:
    `ModelViewPart.getAdapter(java.lang.Class)`

### getViewer

    public org.eclipse.zest.core.viewers.GraphViewer getViewer()

  Gets the viewer.

  Returns:
    the viewer

### getStrain

    public double getStrain()

  Gets the strain.

  Returns:
    the strain

### setStrain

    public void setStrain(double strain)

  Sets the strain.

  Parameters:
    `strain` - the new strain

### getSpringLength

    public double getSpringLength()

  Gets the spring length.

  Returns:
    the spring length

### setSpringLength

    public void setSpringLength(double length)

  Sets the spring length.

  Parameters:
    `length` - the new spring length

### getGravity

    public double getGravity()

  Gets the gravity.

  Returns:
    the gravity

### setGravity

    public void setGravity(double gravity)

  Sets the gravity.

  Parameters:
    `gravity` - the new gravity

### getSpringMove

    public double getSpringMove()

  Gets the spring move.

  Returns:
    the spring move

### setSpringMove

    public void setSpringMove(double springMove)

  Sets the spring move.

  Parameters:
    `springMove` - the new spring move

### getSpringLayout

    public org.eclipse.zest.layouts.algorithms.SpringLayoutAlgorithm getSpringLayout()

  Gets the spring layout.

  Returns:
    the spring layout

### getSpringCustomizer

    public org.eclipse.jface.action.IAction getSpringCustomizer()

  Gets the spring customizer.

  Returns:
    the spring customizer

### setSpringCustomizer

    public void setSpringCustomizer(org.eclipse.jface.action.IAction springCustomizer)

  Sets the spring customizer.

  Parameters:
    `springCustomizer` - the new spring customizer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD